commit:     3eda6ff832379d1fa7c5e364d3f3e40ea9a40d08
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 11:11:42 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 12:34:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3eda6ff8

dev-python/blake3-py-c: Bump to 0.3.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/blake3-py-c/Manifest                 |  1 +
 dev-python/blake3-py-c/blake3-py-c-0.3.2.ebuild | 38 +++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/blake3-py-c/Manifest b/dev-python/blake3-py-c/Manifest
index a74044be12b4..b977cef4177c 100644
--- a/dev-python/blake3-py-c/Manifest
+++ b/dev-python/blake3-py-c/Manifest
@@ -1 +1,2 @@
 DIST blake3-py-0.3.1.gh.tar.gz 131798 BLAKE2B 
6c816bab8d1e432453d4d40f4acc4d33bb45d305a2ab8458dded72bfee6ffd687a016d257dad4c2d656ddd5d765e5ad450e18fdd4af084a51f1973ce56daea68
 SHA512 
d3901339df9dc3409f8c2407c6f4f02fb9e13e8e7a76d77c06d9f58c6cceea4829cedf71a687fdded8ad70897d3a4833f2b124f39837b0ffa5fb8b907b51fd56
+DIST blake3-py-0.3.2.gh.tar.gz 114679 BLAKE2B 
cf7b6013874c28f2df0ec8c9fb5dc46aa50f2962b80d4d57a087545c915fd490cd11592ca94784ec8a8b9e12380343c2dec1c64afe44eeb8de3f1471678f964b
 SHA512 
695044b108225807eef3016dd8e744c39bff4911a3071e346a4b148a3ba0894f2feef59b7537925cd73acebf6744f3cf8d1161f8d1f801dfd47cb670241b9dea

diff --git a/dev-python/blake3-py-c/blake3-py-c-0.3.2.ebuild 
b/dev-python/blake3-py-c/blake3-py-c-0.3.2.ebuild
new file mode 100644
index 000000000000..2f42063712f4
--- /dev/null
+++ b/dev-python/blake3-py-c/blake3-py-c-0.3.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=${P/-c}
+DESCRIPTION="Python bindings for the BLAKE3 cryptographic hash function"
+HOMEPAGE="https://github.com/oconnor663/blake3-py/";
+SRC_URI="
+       https://github.com/oconnor663/blake3-py/archive/${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/c_impl
+
+LICENSE="|| ( CC0-1.0 Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       !dev-python/blake3-py[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       cd .. || die
+       epytest
+}

Reply via email to